<!DOCTYPE html>
<html>
<head>
    <meta charset=utf-8 />
    <title>Calculator</title>
</head>
<body>

  <label>Square this number:
    <input type="number" id="square-input" size="2">
  </label>
  <button id="square-button">Calculate</button>
  <br><br>
  
  <label>Half this number:
    <input type="number" id="half-input" size="2">
  </label>
  <button id="half-button">Calculate</button>
  <br><br>
  
  <label>
    Fraction:
    <input type="number" id="percent1-input" size="2">
  </label>
  <label>
    Whole:
    <input type="number" id="percent2-input" size="2">
  </label>
  <button id="percent-button">Calculate</button>
  <br><br>
  
  <label>Calculate area of circle with radius:
    <input type="number" id="area-input" size="2">
  </label>
  <button id="area-button">Calculate</button> 
  <br><br>
  <div id="solution"></div>

</body>

    <script>
        function square(nr){
            let squared=nr*nr;
            console.log(`Numarul ${nr} la patrat este ${squared}`);
            return squared;
        }

        function half(nr){
            let halfed=nr/2;
            console.log(`Jumatatea nr ${nr} este ${halfed}`);
            return halfed;
        }

        function percentage(nr1,nr2){
            let percent=(nr1/nr2)*100;
            console.log(`${nr1} este ${percent}% din ${nr2}`);
            return percent;
        }

        function area(nr){
            let area=Math.PI*square(nr);
            console.log(`Aria cercului cu raza ${nr} este ${area}`);
            return area;
        }

        let squareBtn=document.getElementById('square-button');
        squareBtn.addEventListener('click',function(){
            let nr=document.getElementById('square-input').value;
            document.getElementById('solution').innerHTML=square(nr);
        });

        let halfBtn=document.getElementById('half-button');
        halfBtn.addEventListener('click',function(){
            let nr=document.getElementById('half-input').value;
            document.getElementById('solution').innerHTML=half(nr);
        });

        let percentBtn=document.getElementById('percent-button');
        percentBtn.addEventListener('click',function(){
            let nr1=document.getElementById('percent1-input').value;
            let nr2=document.getElementById('percent2-input').value;
            document.getElementById('solution').innerHTML=percentage(nr1,nr2);
        });

        let areaBtn=document.getElementById('area-button');
        areaBtn.addEventListener('click',function(){
            let nr=document.getElementById('area-input').value;
            document.getElementById('solution').innerHTML=area(nr);
        });
    </script>
</html>